# The TMDB API DOCUMENTATION ## Docs - [Introduction](https://biscon.mintlify.app/introduction.md) - [Wrappers and Libraries](https://biscon.mintlify.app/wrappers-library.md) - [Popularity and Trending](https://biscon.mintlify.app/popularity-trending.md) - [FAQs](https://biscon.mintlify.app/faq.md) - [Application](https://biscon.mintlify.app/authentication/application.md) - [User Auth](https://biscon.mintlify.app/authentication/user-auth.md) - [Guest Sessions](https://biscon.mintlify.app/authentication/guest-sessions-auth.md) - [Append To Response](https://biscon.mintlify.app/using-the-api/append-to-response.md) - [Status Code](https://biscon.mintlify.app/using-the-api/status-code.md) - [Finding Data](https://biscon.mintlify.app/using-the-api/finding-data.md) - [Rate Limiting](https://biscon.mintlify.app/using-the-api/rate-limiting.md) - [JSON & JSONP](https://biscon.mintlify.app/using-the-api/json-jsonp.md) - [Languages](https://biscon.mintlify.app/using-the-api/languages.md) - [Pagination](https://biscon.mintlify.app/using-the-api/pagination.md) - [Versioning](https://biscon.mintlify.app/using-the-api/version.md) - [Glossary](https://biscon.mintlify.app/using-the-api/glossary.md) - [Basics](https://biscon.mintlify.app/image/basics.md) - [Languages](https://biscon.mintlify.app/image/language.md) - [Introduction](https://biscon.mintlify.app/api-reference/introduction.md) - [Authentication](https://biscon.mintlify.app/api-reference/authentication.md) - [How to generate Session ID](https://biscon.mintlify.app/api-reference/authentication/how-to-generate-a-session-id.md): These endpoints are used for securing access to TMDB API and user accounts. - [Create Guest Session](https://biscon.mintlify.app/api-reference/authentication/create-guest-session.md): This endpoint gives some of the functionality of an account - [Create Request Token](https://biscon.mintlify.app/api-reference/authentication/create-request-token.md): This endpoint generates a new token that can be used to authenticate user sessions. - [Create Session](https://biscon.mintlify.app/api-reference/authentication/create-session.md): This endpoint is used to create your session. You must authenticate your token before doing this. - [Create Session with Login](https://biscon.mintlify.app/api-reference/authentication/create-session-with-login.md): This endpoint is used to validate a request token by entering a username and password. - [Delete Session](https://biscon.mintlify.app/api-reference/authentication/delete-session.md): This endpoint is used to delete a session. - [Validate Key](https://biscon.mintlify.app/api-reference/authentication/validate-key.md): This endpoint is used to test your API Key to see if it's valid. - [Getting your Account ID](https://biscon.mintlify.app/api-reference/account/getting-your-account-id.md) - [Details](https://biscon.mintlify.app/api-reference/account/details.md): This endpoint retrieves the public details of an account on TMDB. - [Add Favorite](https://biscon.mintlify.app/api-reference/account/add-favorite.md): This endpoint is used to mark a movie or TV show as favorite. - [Add to Watchlist](https://biscon.mintlify.app/api-reference/account/add-to-watchlist.md): This endpoint is used to add a movie or TV show to your watchlist. - [Favorite Movies](https://biscon.mintlify.app/api-reference/account/favorite-movies.md): This endpoint get a users list of favourite movies. - [Favorite TV](https://biscon.mintlify.app/api-reference/account/favorite-tv.md): This endpoint get a users list of favourite TV shows. - [Lists](https://biscon.mintlify.app/api-reference/account/lists.md): This endpoint is used to get a users list of custom lists. - [Rated Movies](https://biscon.mintlify.app/api-reference/account/rated-movies.md): This endpoint is used to get a users list of rated movies. - [Rated TV](https://biscon.mintlify.app/api-reference/account/rated-tv.md): This endpoint is used to get a users list of rated tv shows. - [Rated TV Episodes](https://biscon.mintlify.app/api-reference/account/rated-tv-episodes.md): This endpoint is used to get a users list of rated tv episodes. - [Watchlist Movies](https://biscon.mintlify.app/api-reference/account/watchlist-movies.md): This endpoint is used to get a list of movies added to a users watchlist. - [Watchlist TV](https://biscon.mintlify.app/api-reference/account/watchlist-tv.md): This endpoint is used to get a list of TV shows added to a users watchlist. - [Movie Certifications](https://biscon.mintlify.app/api-reference/certification/movie-certifications.md): This endpoint is used to get an up to date list of the officially supported movie certifications on TMDB. - [TV Certifications](https://biscon.mintlify.app/api-reference/certification/tv-certifications.md): This endpoint is used to get an up to date list of the officially supported TV certifications on TMDB. - [Movie List](https://biscon.mintlify.app/api-reference/changes/movie-list.md): This endpoint is used to get a list of all of the movie ids that have been changed in the past 24 hours. - [People List](https://biscon.mintlify.app/api-reference/changes/people-list.md): This endpoint is used to query this method up to 14 days at a time. - [TV List](https://biscon.mintlify.app/api-reference/changes/tv-list.md): This endpoint is used to query this method up to 14 days at a time. - [Details](https://biscon.mintlify.app/api-reference/collection/details.md): This endpoint is used to get collection details by ID. - [Images](https://biscon.mintlify.app/api-reference/collection/images.md): This endpoint get the images that belong to a collection. - [Translation](https://biscon.mintlify.app/api-reference/collection/translation.md): This endpoint get the translation that belong to a collection. - [Details](https://biscon.mintlify.app/api-reference/companies/details.md): This endpoint get the company details by ID - [Alternative Name](https://biscon.mintlify.app/api-reference/companies/alternative-name.md): This endpoint get the company details by ID. - [Images](https://biscon.mintlify.app/api-reference/companies/images.md): This endpoint get the company logos by id. - [Details](https://biscon.mintlify.app/api-reference/configuration/details.md): This endpoint query the API configuration details. - [Countries](https://biscon.mintlify.app/api-reference/configuration/countries.md): This endpoint get the list of countries (ISO 3166-1 tags) used throughout TMDB. - [Jobs](https://biscon.mintlify.app/api-reference/configuration/jobs.md): This endpoint get the list of the jobs and departments we use on TMDB. - [Languages](https://biscon.mintlify.app/api-reference/configuration/languages.md): This endpoint get the list of languages (ISO 639-1 tags) used throughout TMDB. ### Request Body | **Field Name** | **Type** | **Description** | | --- | --- | --- | | iso_639_1 | string | The ISO 3166-1 alpha-2 country code, representing a unique identifier for each country | | english_name | str… - [Primary Translations](https://biscon.mintlify.app/api-reference/configuration/primary-translations.md): This endpoint get a list of the officially supported translations on TMDB. - [Timezones](https://biscon.mintlify.app/api-reference/configuration/timezones.md): This endpoint get the list of timezones used throughout TMDB. - [Details](https://biscon.mintlify.app/api-reference/credits/details.md): This endpoint get a movie or TV credit details by ID. - [Movie](https://biscon.mintlify.app/api-reference/discover/movie.md): This endpoint find movies using over 30 filters and sort options. - [TV](https://biscon.mintlify.app/api-reference/discover/tv.md): This endpoint find movies using over 30 filters and sort options. - [Find by ID](https://biscon.mintlify.app/api-reference/find/find-by-id.md): This endpoint find data by external ID's. - [Movie List](https://biscon.mintlify.app/api-reference/genres/movie-list.md): This endpoint get the list of official genres for movies. - [TV List](https://biscon.mintlify.app/api-reference/genres/tv-list.md): This endpoint get the list of official genres for movies. - [Rated Movies](https://biscon.mintlify.app/api-reference/guest-sessions/rated-movies.md): This endpoint get the rated movies for a guest session. - [Rated TV](https://biscon.mintlify.app/api-reference/guest-sessions/rated-tv.md): This endpoint get the rated TV shows for a guest session. - [Rated TV Episodes](https://biscon.mintlify.app/api-reference/guest-sessions/rated-tv-episodes.md): This endpoint get the rated TV episodes for a guest session. - [Details](https://biscon.mintlify.app/api-reference/keywords/details.md): This endpoint get the details of the keywords - [Movies](https://biscon.mintlify.app/api-reference/keywords/movies.md): This endpoint is used to get a list of movies associated with a specific keyword - [v3 or v4 lists?](https://biscon.mintlify.app/api-reference/lists/v3-v4.md) - [Add Movie](https://biscon.mintlify.app/api-reference/lists/add-movie.md): This endpoint add a movie to a list. - [Check Item Status](https://biscon.mintlify.app/api-reference/lists/check-item-status.md): This endpoint is used to check if an item has already been added to the list. - [Clear](https://biscon.mintlify.app/api-reference/lists/clear.md): This endpoint clear all items from a list. - [Create](https://biscon.mintlify.app/api-reference/lists/create.md): This endpoint is used to create a list. - [Delete](https://biscon.mintlify.app/api-reference/lists/delete.md): This endpoint is used to delete a list. - [Details](https://biscon.mintlify.app/api-reference/lists/details.md): This endpoint get the details of a list. - [Remove Movie](https://biscon.mintlify.app/api-reference/lists/remove-movie.md): This endpoint remove a movie from a list. - [Now Playing](https://biscon.mintlify.app/api-reference/movie-lists/now-playing.md): This endpoint is used to get a list of movies that are currently in theatres. - [Popular](https://biscon.mintlify.app/api-reference/movie-lists/popular.md): This endpoint is used to get a list of movies ordered by popularity. - [Top Rated](https://biscon.mintlify.app/api-reference/movie-lists/top-rated.md): This endpoint is used to get a list of movies ordered by rating. - [Upcoming](https://biscon.mintlify.app/api-reference/movie-lists/upcoming.md): This endpoint is used to get a list of movies that are being released soon. - [Details](https://biscon.mintlify.app/api-reference/movies/details.md): This endpoint get the top level details of a movie by ID. - [Account State](https://biscon.mintlify.app/api-reference/movies/account-state.md): This endpoint is used to get the rating, watchlist and favourite status of an account. - [Alternative Titles](https://biscon.mintlify.app/api-reference/movies/alternative-titles.md): This endpoint is used to get the alternative titles for a movie. - [Changes](https://biscon.mintlify.app/api-reference/movies/changes.md): This endpoint is used to get the recent changes for a movie. - [Credits](https://biscon.mintlify.app/api-reference/movies/credits.md): This endpoint is used to get the credit for a movie. - [External ID](https://biscon.mintlify.app/api-reference/movies/external-id.md): This endpoint is used to get the external_id of a movie. - [Images](https://biscon.mintlify.app/api-reference/movies/images.md): This endpoint is used to get the images that belong to a movie. - [Keywords](https://biscon.mintlify.app/api-reference/movies/keywords.md): This endpoint is used to get the credit for a movie. - [Latest](https://biscon.mintlify.app/api-reference/movies/latest.md): This endpoint is used to get the newest movie ID. - [Lists](https://biscon.mintlify.app/api-reference/movies/lists.md): This endpoint is used to get the lists that a movie has been added to. - [Recommendation](https://biscon.mintlify.app/api-reference/movies/recommendation.md): This endpoint is used to get movie recommendation. - [Release Dates](https://biscon.mintlify.app/api-reference/movies/release-dates.md): This endpoint is used to get the release dates and certifications for a movie. - [Reviews](https://biscon.mintlify.app/api-reference/movies/reviews.md): This endpoint is used to get the user reviews for a movie. - [Similar](https://biscon.mintlify.app/api-reference/movies/similar.md): This endpoint is used to get the similar movies based on genres and keywords. - [Translations](https://biscon.mintlify.app/api-reference/movies/translations.md): This endpoint is used to get the translations for a movi. - [Videos](https://biscon.mintlify.app/api-reference/movies/videos.md): This endpoint is used to get the video for a movie. - [Watch Providers](https://biscon.mintlify.app/api-reference/movies/watch-providers.md): This endpoint is used to get the list of streaming providers we have for a movie - [Add Rating](https://biscon.mintlify.app/api-reference/movies/add-rating.md): This endpoint rate a movie and save it to your rated list. - [Delete Rating](https://biscon.mintlify.app/api-reference/movies/delete-rating.md): This endpoint delete a user rating. - [Details](https://biscon.mintlify.app/api-reference/networks/details.md): This endpoint get the network details. - [Alternative Names](https://biscon.mintlify.app/api-reference/networks/alternative-names.md): This endpoint get the alternative names of a network. - [Images](https://biscon.mintlify.app/api-reference/networks/images.md): This endpoint get the TV network logos by id. - [Popular](https://biscon.mintlify.app/api-reference/people-lists/popular.md): This endpoint is used to get a list of people ordered by popularity. - [Details](https://biscon.mintlify.app/api-reference/people/details.md): This endpoint is used to query the top level details of a person. - [Changes](https://biscon.mintlify.app/api-reference/people/changes.md): This endpoint is used to get the recent changes for a person. - [Combined Credits](https://biscon.mintlify.app/api-reference/people/combined-credits.md): This endpoint is used to get the combined movie and TV credits that belong to a person. - [External IDs](https://biscon.mintlify.app/api-reference/people/external-ids.md): This endpoint is used to get the external ID's that belong to a person. - [Images](https://biscon.mintlify.app/api-reference/people/images.md): This endpoint is used to get the profile images that belong to a person. - [Latest](https://biscon.mintlify.app/api-reference/people/latest.md): This endpoint is used to get the newest created person. This is a live response and will continuously change - [Movie Credits](https://biscon.mintlify.app/api-reference/people/movie-credits.md): This endpoint is used to get the movie credits for a person. - [TV Credits](https://biscon.mintlify.app/api-reference/people/tv-credits.md): This endpoint is used to get the movie credits for a person. - [Tagged Images](https://biscon.mintlify.app/api-reference/people/tagged-images.md): This endpoint is used to get the tagged images for a person. - [Translations](https://biscon.mintlify.app/api-reference/people/translations.md): This endpoint is used to get the translations that belong to a person. - [Details](https://biscon.mintlify.app/api-reference/reviews/details.md): This endpoint is used to retrieve the details of a movie or TV show review. - [Collection](https://biscon.mintlify.app/api-reference/search/collection.md): This endpoint is used to search for collections by their original, translated and alternative name. - [Company](https://biscon.mintlify.app/api-reference/search/company.md): This endpoint is used to search for companies by their original and alternative names. - [Keyword](https://biscon.mintlify.app/api-reference/search/keyword.md): This endpoint is used to search for keywords by their name. - [Movies](https://biscon.mintlify.app/api-reference/search/movies.md): This endpoint is used to search for movies by their original, translated and alternative titles. - [Search-Multi](https://biscon.mintlify.app/api-reference/search/search-multi.md): This endpoint use multi search when you want to search for movies, TV shows and people in a single request. - [Person](https://biscon.mintlify.app/api-reference/search/person.md): This endpoint search for people by their name and also known as names. - [TV Shows](https://biscon.mintlify.app/api-reference/search/tv-shows.md): This endpoint search for TV shows by their original, translated and also known as names. - [All](https://biscon.mintlify.app/api-reference/trending/all.md): This endpoint get the trending movies, TV shows and people. - [Movies](https://biscon.mintlify.app/api-reference/trending/movies.md): This endpoint get the trending movies on TMDB. - [People](https://biscon.mintlify.app/api-reference/trending/people.md): This endpoint get the trending people on TMDB. - [TV](https://biscon.mintlify.app/api-reference/trending/tv.md): This endpoint get the trending people on TMDB. - [Airing Today](https://biscon.mintlify.app/api-reference/tv-series-lists/airing-today.md): This endpoint get a list of TV shows airing today. - [On the Air](https://biscon.mintlify.app/api-reference/tv-series-lists/on-the-air.md): This endpoint get a list of TV shows that air in the next 7 days. - [Popular](https://biscon.mintlify.app/api-reference/tv-series-lists/popular.md): This endpoint get list of TV shows ordered by popularity. - [Top Rated](https://biscon.mintlify.app/api-reference/tv-series-lists/top-rated.md): This endpoint get a list of TV shows ordered by rating. - [Details](https://biscon.mintlify.app/api-reference/tv-series/details.md): This endpoint get the details of a TV show. - [Account State](https://biscon.mintlify.app/api-reference/tv-series/account-state.md): This endpoint get the details of a TV show. - [Aggregate Credits](https://biscon.mintlify.app/api-reference/tv-series/aggregate-credits.md): This endpoint get the aggregate credits (cast and crew) that have been added to a TV show. - [Alternative Titles](https://biscon.mintlify.app/api-reference/tv-series/alternative-titles.md): This endpoint is used to get the alternative titles that have been added to a TV show. - [Changes](https://biscon.mintlify.app/api-reference/tv-series/changes.md): This endpoint is used to get the recent changes for a TV show - [Content Ratings](https://biscon.mintlify.app/api-reference/tv-series/content-ratings.md): This endpoint is used to get the content ratings that have been added to a TV show - [Credits](https://biscon.mintlify.app/api-reference/tv-series/credits.md): This endpoint is used to get the latest season credits of a TV show - [Episode Groups](https://biscon.mintlify.app/api-reference/tv-series/episode-groups.md): This endpoint is used to get the episode groups that have been added to a TV show - [External IDs](https://biscon.mintlify.app/api-reference/tv-series/external-ids.md): This endpoint is used to get a list of external IDs that have been added to a TV show. - [Images](https://biscon.mintlify.app/api-reference/tv-series/images.md): This endpoint is used to get the images that belong to a TV series - [Keywords](https://biscon.mintlify.app/api-reference/tv-series/keywords.md): This endpoint is used to get a list of keywords that have been added to a TV show. - [Latest](https://biscon.mintlify.app/api-reference/tv-series/latest.md): This endpoint is used to get newest TV show ID. - [Lists](https://biscon.mintlify.app/api-reference/tv-series/lists.md): This endpoint is used to get the lists that a TV series has been added to. - [Recommendations](https://biscon.mintlify.app/api-reference/tv-series/recommendations.md): This endpoint is used to get tv recommendations. - [Reviews](https://biscon.mintlify.app/api-reference/tv-series/reviews.md): This endpoint is used to get the reviews that have been added to a TV show. - [Screened Theatrically](https://biscon.mintlify.app/api-reference/tv-series/screened-theatrically.md): This endpoint is used to get the seasons and episodes that have screened theatrically. - [Similar](https://biscon.mintlify.app/api-reference/tv-series/similar.md): This endpoint is used to get the similar TV shows. - [Translations](https://biscon.mintlify.app/api-reference/tv-series/translations.md): This endpoint is used to get the translations that have been added to a TV show. - [Videos](https://biscon.mintlify.app/api-reference/tv-series/videos.md): This endpoint is used to get the videos that belong to a TV show. - [Watch Providers](https://biscon.mintlify.app/api-reference/tv-series/watch-providers.md): This endpoint is used to get the list of streaming providers we have for a TV show. - [Add Rating](https://biscon.mintlify.app/api-reference/tv-series/add-rating.md): This endpoint rate a TV show and save it to your rated list. - [Delete Rating](https://biscon.mintlify.app/api-reference/tv-series/delete-rating.md): This endpoint delete tv series rating. - [Details](https://biscon.mintlify.app/api-reference/tv-seasons/details.md): This endpoint query the details of a TV season. - [Account States](https://biscon.mintlify.app/api-reference/tv-seasons/account-states.md): This endpoint get the rating, watchlist and favourite status. - [Aggregate Credits](https://biscon.mintlify.app/api-reference/tv-seasons/aggregate-credits.md): This endpoint get the aggregate credits (cast and crew) that have been added to a TV season. - [Changes](https://biscon.mintlify.app/api-reference/tv-seasons/changes.md): This endpoint get the recent changes for a TV season. - [Credits](https://biscon.mintlify.app/api-reference/tv-seasons/credits.md): This endpoint is used to get the credit for a tv season - [External ID](https://biscon.mintlify.app/api-reference/tv-seasons/external-ids.md): This endpoint get a list of external IDs that have been added to a TV season - [Images](https://biscon.mintlify.app/api-reference/tv-seasons/images.md): This endpoint is used to get the images that belong to a TV season. - [Translations](https://biscon.mintlify.app/api-reference/tv-seasons/translations.md): This endpoint is used to get the translations for a tv season. - [Videos](https://biscon.mintlify.app/api-reference/tv-seasons/videos.md): This endpoint is used to get the video belong to a TV season. - [Watch Providers](https://biscon.mintlify.app/api-reference/tv-seasons/watch-providers.md): This endpoint is used to get the list of streaming providers we have for a TV season. - [Details](https://biscon.mintlify.app/api-reference/tv-episodes/details.md): This endpoint query the details of a TV episode. - [Account States](https://biscon.mintlify.app/api-reference/tv-episodes/account-states.md): This endpoint get the rating, watchlist and favourite status. - [Changes](https://biscon.mintlify.app/api-reference/tv-episodes/changes.md): This endpoint get the recent changes for a TV episode - [Credits](https://biscon.mintlify.app/api-reference/tv-episodes/credits.md): This endpoint is used to get the credit for a tv episode. - [External IDs](https://biscon.mintlify.app/api-reference/tv-episodes/external-ids.md): This endpoint get a list of external IDs that have been added to a TV episode - [Images](https://biscon.mintlify.app/api-reference/tv-episodes/images.md): This endpoint is used to get the images that belong to a TV episode - [Translations](https://biscon.mintlify.app/api-reference/tv-episodes/translations.md): This endpoint is used to get the translations that have been added to a TV episode. - [Videos](https://biscon.mintlify.app/api-reference/tv-episodes/videos.md): This endpoint is used to get the videos that belong to a TV episode. - [Add Rating](https://biscon.mintlify.app/api-reference/tv-episodes/add-rating.md): This endpoint rate a TV episode and save it to your rated list. - [Delete Rating](https://biscon.mintlify.app/api-reference/tv-episodes/delete-rating.md): This endpoint delete your rating on a TV episode. - [Details](https://biscon.mintlify.app/api-reference/tv-episode-groups/details.md): This endpoint is used to get the details of a TV episode group. - [Available Regions](https://biscon.mintlify.app/api-reference/watch-providers/available-regions.md): This endpoint is used to get the list of the countries we have watch provider (OTT/streaming) data for. - [Movie Providers](https://biscon.mintlify.app/api-reference/watch-providers/movie-providers.md): This endpoint is used to get the list of streaming providers we have for movies. - [TV Providers](https://biscon.mintlify.app/api-reference/watch-providers/tv-providers.md): This endpoint is used to get the list of streaming providers we have for TV shows. - [Changelog](https://biscon.mintlify.app/changelog/changelog.md) ## OpenAPI Specs - [openapi](https://biscon.mintlify.app/api-reference/openapi.yaml) - [package](https://biscon.mintlify.app/package.json) - [package-lock](https://biscon.mintlify.app/package-lock.json) This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.